# Generated from case_transform-0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name case_transform

Name: rubygem-%{gem_name}
Version: 0.2
Release: 1%{?dist}
Summary: CaseTransform-0.2
License: MIT
URL: https://github.com/NullVoxPopuli/case_transform
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(codeclimate-test-reporter)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(awesome_print)
# BuildRequires: rubygem(pry-byebug)
BuildArch: noarch

%description
Extraction of the key_transform abilities of ActiveModelSerializers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Aug 23 2021 mockbuilder - 0.2-1
- Initial package
